Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
Class PowerAssertionError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.AssertionError
                  org.codehaus.groovy.transform.powerassert.PowerAssertionError

All Implemented Interfaces:
  Serializable

    public class PowerAssertionError
    extends AssertionError

Indicates that a power assertion has failed.

Author:
  Peter Niederwieser
See Also:
  Serialized Form

Constructor Summary
Constructor and Description
`PowerAssertionError(String msg)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`addSuppressedException, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PowerAssertionError

    public PowerAssertionError(String msg)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD